<?php

namespace InSegment\WorkersFramework\Interfaces;

interface ConsumerInterface
{
    /**
     * Receive message from queue of the driver
     * 
     * @param \InSegment\WorkersFramework\Interfaces\QueueMessageInterface $message
     * @param \InSegment\WorkersFramework\Interfaces\QueueDriverInterface $driver
     */
    public function receiveMessage(QueueMessageInterface $message, QueueDriverInterface $driver);
}
