<?php

namespace InSegment\WorkersFramework\Providers;

use Shavshukov\EventAppBase\Service\Provider;
use Shavshukov\EventAppBase\Service\Container;

use InSegment\WorkersFramework\Drivers\RabbitMq\Connector;

class QueueConnectionServiceProvider extends Provider
{
    
    /**
     * {@inheritDoc}
     */    
    public function register(Container $container, ...$registerArguments)
    {
        $container->bind('queue-driver', function () {
            return (new Connector($this->app))->createConnectedChannelDriver();
        }, true);
    }
    
}
